V6TEST(1)

NAME
v6test - send IPv6 test packets

SYNOPSIS
v6test [-s src] [-d dst] [-f configfile] [-i interface] testname ...

DESCRIPTION
v6test generates IPv6 packet described in configfile. This is usually used for debugging the behavior of kernel against ill-formatted packets.

-s src
    Source IPv6 address for the test packet. The option lets you override the description in configuration file.

-d dst
    Destination IPv6 address for the test packet. The option lets you override the description in configuration file.

-i interface
    Send the generated IPv6 packet to interface. bpf(4) encapsulation type DLT_EN10MB and DLT_NULL are supported.

-f configfile
    Specify alternate location to configuration file. Default is v6test.conf in the current directory.

testname
    Specify a single test entry in the configuration file. You can specify multiple tests, to send contiguous test packets.

RETURN VALUES
v6test exits with 0 on success, and non-zero on errors.

FILES
./v6test.conf
    The default configuration file.

SEE ALSO
bpf(4), v6test.conf(5), tcpdump(8)

HISTORY
The v6test command first appeared in WIDE Hydrangea IPv6 protocol stack kit.